Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

TexMaker F1 Problem After Qt6 Install



  • I have TexMaker installed on two computers, a Mint Linux and a Win 10. TexMaker was working correctly on the Win 10 computer before I installed Qt6, after the installation the F1 key compiles the LaTex document but the pdf file is not up dated. Because of prerequisites I was forced to install Mint Linux 20 and the install Qt6 and TexMaker, which has the same problem. I believe that TexMaker is based on Qt5. Anybody know why this is happening and how I can get my TexMaker working correctly again? Thanks for any help.


  • Lifetime Qt Champion

    Hi,

    Do you mean you are building TexMaker with Qt 6 ?



  • @SGaist I had a working version of TexMaker and after I installed Qt6, the F1 key did not work. My statement is that I had seen stating that TexMaker was base on Qt5.


  • Lifetime Qt Champion

    What you do not explain is how you installed TexMaker, nor Qt 6.

    Qt 5 and Qt 6 have explicit different so version so there's no risk for an application to pick the wrong major release by accident.



  • @ofmrew

    For TexMaker I downloaded texmaker_5.0.4_ubuntu_20_10_amd64.deb and ran it.
    For Qt6 I ran the open source version of qt-unified-linux-x64-4.0.1-1-online.run.

    I am looking for the site were Qt5 is mentioned as the base for Texaamaker, I will post it when I find it.



  • @SGaist I found one reference to Qt5, namely:

    sudo apt remove appmenu-qt5

    That was for Linux, but my Win 10 TexMaker has the same problem.


  • Lifetime Qt Champion

    I currently do wonder how an isolated installation of Qt 6 might interfere with TexMaker.

    Can you run ldd on the TexMaker binary ?



  • @SGaist Is this swhat you want:

    ob@bob-linux:/bin$ ldd texmaker
    linux-vdso.so.1 (0x00007fffae5bf000)
    libQt5PrintSupport.so.5 => /lib/x86_64-linux-gnu/libQt5PrintSupport.so.5 (0x00007ff8460b0000)
    libQt5Widgets.so.5 => /lib/x86_64-linux-gnu/libQt5Widgets.so.5 (0x00007ff845a15000)
    libQt5Gui.so.5 => /lib/x86_64-linux-gnu/libQt5Gui.so.5 (0x00007ff84542a000)
    libQt5Xml.so.5 => /lib/x86_64-linux-gnu/libQt5Xml.so.5 (0x00007ff8453e8000)
    libQt5Network.so.5 => /lib/x86_64-linux-gnu/libQt5Network.so.5 (0x00007ff845227000)
    libQt5Script.so.5 => /lib/x86_64-linux-gnu/libQt5Script.so.5 (0x00007ff844f7b000)
    libQt5Core.so.5 => /lib/x86_64-linux-gnu/libQt5Core.so.5 (0x00007ff844a30000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007ff844a0d000)
    libstdc++.so.6 => /lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007ff84482c000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007ff8446dd000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007ff8444eb000)
    libGL.so.1 => /lib/x86_64-linux-gnu/libGL.so.1 (0x00007ff844463000)
    libpng16.so.16 => /lib/x86_64-linux-gnu/libpng16.so.16 (0x00007ff844429000)
    libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007ff84440d000)
    libharfbuzz.so.0 => /lib/x86_64-linux-gnu/libharfbuzz.so.0 (0x00007ff844308000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007ff8442ed000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007ff8442e7000)
    libicui18n.so.66 => /lib/x86_64-linux-gnu/libicui18n.so.66 (0x00007ff843fe6000)
    libicuuc.so.66 => /lib/x86_64-linux-gnu/libicuuc.so.66 (0x00007ff843e00000)
    libpcre2-16.so.0 => /lib/x86_64-linux-gnu/libpcre2-16.so.0 (0x00007ff843d7d000)
    libdouble-conversion.so.3 => /lib/x86_64-linux-gnu/libdouble-conversion.so.3 (0x00007ff843d67000)
    libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007ff843c3e000)
    /lib64/ld-linux-x86-64.so.2 (0x00007ff846b39000)
    libGLdispatch.so.0 => /lib/x86_64-linux-gnu/libGLdispatch.so.0 (0x00007ff843b86000)
    libGLX.so.0 => /lib/x86_64-linux-gnu/libGLX.so.0 (0x00007ff843b50000)
    libfreetype.so.6 => /lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007ff843a91000)
    libgraphite2.so.3 => /lib/x86_64-linux-gnu/libgraphite2.so.3 (0x00007ff843a64000)
    libicudata.so.66 => /lib/x86_64-linux-gnu/libicudata.so.66 (0x00007ff841fa3000)
    libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007ff841f30000)
    libX11.so.6 => /lib/x86_64-linux-gnu/libX11.so.6 (0x00007ff841df1000)
    libxcb.so.1 => /lib/x86_64-linux-gnu/libxcb.so.1 (0x00007ff841dc7000)
    libXau.so.6 => /lib/x86_64-linux-gnu/libXau.so.6 (0x00007ff841dc1000)
    libXdmcp.so.6 => /lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007ff841db9000)
    libbsd.so.0 => /lib/x86_64-linux-gnu/libbsd.so.0 (0x00007ff841d9f000)


  • Lifetime Qt Champion

    That's what I was suspecting nothing related to Qt 6.

    Did you try to run TexMaker from the command line to see if you have any log messages about what is going on ?



  • @SGaist From the terminal I get:
    bob@bob-linux:~$ cd /bin
    bob@bob-linux:/bin$ texmaker
    qt5ct: using qt5ct plugin
    Gtk-Message: 16:21:11.851: Failed to load module "xapp-gtk3-module"



  • @ofmrew Any thoughts on this problem?


  • Lifetime Qt Champion

    Do you get it to work again if you remove Qt 6 ?



  • @SGaist I haven't tried that but I will on the Win 10 computer. Be back to you.



  • @ofmrew 6.0.1 is removed but TexMaker is still broke.


  • Lifetime Qt Champion

    Looks like it's unrelated to Qt 6 then.

    Did you try to check if there's a log or something generated by TexMaker ? Did you try to start it from the command line ?



  • @SGaist The log for TexMaker when I press F1:
    LOG FILE :
    This is pdfTeX, Version 3.14159265-2.6-1.40.16 (TeX Live 2015/Debian) (preloaded format=pdflatex 2017.2.4) 11 OCT 2020 11:58
    entering extended mode
    restricted \write18 enabled.
    %&-line parsing enabled.
    **Print2DGraphics.tex
    (./Print2DGraphics.tex
    LaTeX2e <2016/02/01>
    Babel <3.9q> and hyphenation patterns for 81 language(s) loaded.
    (/usr/share/texlive/texmf-dist/tex/latex/base/book.cls
    Document Class: book 2014/09/29 v1.4h Standard LaTeX document class
    (/usr/share/texlive/texmf-dist/tex/latex/base/bk12.clo
    File: bk12.clo 2014/09/29 v1.4h Standard LaTeX file (size option)
    *********Middle Part of File Deleted because it was too big.
    They are messages about formatting the document.

    \makeMPintoPDFobject=\count166
    \everyMPtoPDFconversion=\toks48
    ) (/usr/share/texlive/texmf-dist/tex/generic/oberdiek/pdftexcmds.sty
    Package: pdftexcmds 2011/11/29 v0.20 Utility functions of pdfTeX for LuaTeX (HO
    )
    (/usr/share/texlive/texmf-dist/tex/generic/oberdiek/ifluatex.sty
    Package: ifluatex 2010/03/01 v1.3 Provides the ifluatex switch (HO)
    Package ifluatex Info: LuaTeX not detected.
    )
    Package pdftexcmds Info: LuaTeX not detected.
    Package pdftexcmds Info: \pdf@primitive is available.
    Package pdftexcmds Info: \pdf@ifprimitive is available.
    Package pdftexcmds Info: \pdfdraftmode found.
    )
    (/usr/share/texlive/texmf-dist/tex/latex/oberdiek/epstopdf-base.sty
    Package: epstopdf-base 2010/02/09 v2.5 Base part for package epstopdf
    (/usr/share/texlive/texmf-dist/tex/latex/oberdiek/grfext.sty
    Package: grfext 2010/08/19 v1.1 Manage graphics extensions (HO)
    (/usr/share/texlive/texmf-dist/tex/generic/oberdiek/kvdefinekeys.sty
    Package: kvdefinekeys 2011/04/07 v1.3 Define keys (HO)
    ))

    63 words of extra memory for PDF output out of 10000 (max. 10000000)

    It seems to indicate that the pdf file was written, but I checked and it was not. I hope it helps.


  • Lifetime Qt Champion

    @ofmrew said in TexMaker F1 Problem After Qt6 Install:

    Package ifluatex Info: LuaTeX not detected.

    I don't know if it's related but worth a check.



  • @SGaist I looked and it is not required. On the Win 10 computer TexMaker was working correctly, the change was the Qt6 install which resulted in it not working. Mint Linux was a new install.


  • Lifetime Qt Champion

    Did you re-install TexMaker ?



  • @SGaist Yes, I uninstalled it and reinstalled, same problem.


  • Lifetime Qt Champion

    After removing Qt 6 ?



  • @SGaist I removed Qt6 and reinstalled it, then I uninstalled TexMaker and reinstalled it. Same problem, note that this is on win 10. Win 10 also has qt5 installed. I have not tried it on Mint Linux.

    The question now is should I remove TexMaker and all versions of qt, the try TexMaker with no qt installed?


  • Lifetime Qt Champion

    @ofmrew said in TexMaker F1 Problem After Qt6 Install:

    The question now is should I remove TexMaker and all versions of qt, the try TexMaker with no qt installed?

    That was the idea, yes.


Log in to reply